INTERFACE
SUBROUTINE CO2_TCMR_TL&
 & ( KDLEN , KLEN , KDCOUNT, KCOUNT,&
 & PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PPRESH5, PPRESF5, PSOLEL,&
 & YDGEMSPROF5,&
 & PCO2MEAN) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
USE YOMGRB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KDCOUNT
INTEGER(KIND=JPIM),INTENT(IN) :: KCOUNT(KDLEN)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH5(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF5(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOLEL(KDLEN)
TYPE (TYPE_GEMSPROF) ,INTENT(INOUT) :: YDGEMSPROF(KDLEN,NGEMS)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF5(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCO2MEAN(KDLEN,KDCOUNT)
END SUBROUTINE CO2_TCMR_TL
END INTERFACE
